using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class New : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!string.IsNullOrEmpty(Request.QueryString["email"]))
        {
            string email = Request.QueryString["email"];
            racbTo.Entries.Add(new AutoCompleteBoxEntry(email));
        }

        if (!string.IsNullOrEmpty(Request.QueryString["action"]))
        {
            string action = Request.QueryString["action"];
            switch (action)
            {
                case "reply":
                    rtbSubject.Text = "RE:";
                    break;
                case "reply_all":
                    rtbSubject.Text = "RE:";
                    break;
                case "forward":
                    rtbSubject.Text = "FW:";
                    break;
                default:
                    break;
            }
        }
    }
}